package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 质控类型标准
 * </p>
 *
 * @author gaodm
 * @time: 2024-05-27
 */
public class QcType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 质控类型名称
     */
    private String name;

    /**
     * 默认模版是否开启(0-否 1-是)
     */
    private Integer defaultModule;

    /**
     * 父类质控id
     */
    private String parentTypeId;

    /**
     * 性别
     */
    private String sex;

    /**
     * 科室ID
     */
    private String behDeptId;

    /**
     * 科室名称
     */
    private String behDeptName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public Integer getDefaultModule() {
        return defaultModule;
    }

    public void setDefaultModule(Integer defaultModule) {
        this.defaultModule = defaultModule;
    }
    public String getParentTypeId() {
        return parentTypeId;
    }

    public void setParentTypeId(String parentTypeId) {
        this.parentTypeId = parentTypeId;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getBehDeptId() {
        return behDeptId;
    }

    public void setBehDeptId(String behDeptId) {
        this.behDeptId = behDeptId;
    }
    public String getBehDeptName() {
        return behDeptName;
    }

    public void setBehDeptName(String behDeptName) {
        this.behDeptName = behDeptName;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "QcType{" +
                "id=" + id +
                ", hospitalId=" + hospitalId +
                ", name=" + name +
                ", defaultModule=" + defaultModule +
                ", parentTypeId=" + parentTypeId +
                ", sex=" + sex +
                ", behDeptId=" + behDeptId +
                ", behDeptName=" + behDeptName +
                ", remark=" + remark +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                "}";
    }
}
